EPUB-FIX(1)

NAME
epub-fix - part of calibre

SYNOPSIS
epub-fix [options] file.epub

DESCRIPTION

Fix common problems in EPUB files that can cause them to be rejected by poorly designed publishing services.

By default, no fixing is done and messages are printed out for each error detected. Use the options to control which errors are automatically fixed.

Whenever you pass arguments to epub-fix that have spaces in them, enclose the arguments in quotation marks.

OPTIONS

--version
    show program's version number and exit

-h, --help
    show this help message and exit

--unmanifested
    Fix unmanifested files. epub-fix can either add them to the manifest or delete them as specified by the delete unmanifested option.

--delete-unmanifested
    Delete unmanifested files instead of adding them to the manifest

--epubcheck
    Workarounds for bugs in the latest release of epubcheck. epubcheck reports many things as errors that are not actually errors. epub-fix will try to detect these and replace them with constructs that epubcheck likes. This may cause significant changes to your epub, complain to the epubcheck project.

SEE ALSO
The User Manual is available at http://manual.calibre-ebook.com

Created by Kovid Goyal <kovid@kovidgoyal.net>